import { StyleSheet } from 'react-native'
import {
  windowHeight,
  fontSizes,
  windowWidth,
} from '../../../theme/appConstant'
import appColors from '../../../theme/appColors'
import appFonts from '../../../theme/appFonts'

const styles = StyleSheet.create({
  main: {
    flex: 1,
  },
  container: {
    width: '100%',
    paddingVertical: windowHeight(1),
    borderRadius: windowWidth(5),
    marginTop: windowHeight(4.9),
    marginBottom: windowHeight(5),
    bottom: windowHeight(11),
    height: windowHeight(50),
    borderWidth: windowWidth(0.45),
  },
  container1: {
    height: windowHeight(13.5),
    paddingVertical: windowHeight(1),
    borderWidth: windowWidth(0.45),
    borderRadius: windowWidth(5),
    paddingHorizontal: windowWidth(4),
  },
  listView: {
    paddingVertical: windowHeight(2),
    marginHorizontal: windowWidth(4),
    marginTop: windowHeight(1),
  },
  amount: {
    color: appColors.secondaryFont,
    marginVertical: windowHeight(0.8),
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT4,
    marginBottom: windowHeight(1),
  },
  inputContainer: { justifyContent: 'space-between' },
  textinput: {
    height: windowHeight(5),
    width: '70%',
    fontFamily: appFonts.regular,
    paddingHorizontal: windowWidth(2),
    borderRadius: windowWidth(35),
    marginTop: windowHeight(0.4),
  },
  modalPaymentView: {
    justifyContent: 'space-between',
    paddingHorizontal: windowWidth(10),
    paddingVertical: windowHeight(10),
    backgroundColor: 'red',
  },
  imageBg: {
    borderRadius: windowWidth(2.5),
    alignItems: 'center',
    justifyContent: 'center',
    width: windowHeight(10),
    height: windowHeight(6),
    backgroundColor: appColors.graybackground,
  },
  paymentImage: {
    width: windowWidth(15),
    height: windowHeight(40),
    resizeMode: 'contain',
  },
  title: {
    marginTop: windowHeight(3),
    marginBottom: windowHeight(2),
    fontFamily: appFonts.semiBold,
    fontSize: fontSizes.FONT4,
  },
  button: { top: windowHeight(56) },
  inputView: {
    alignItems: 'center',
    borderRadius: windowWidth(25),
    borderWidth: windowHeight(0.1),
    paddingHorizontal: windowWidth(3.5),
    height: windowHeight(6),
  },
  mailInfo: {
    justifyContent: 'center',
    left: windowWidth(25),
  },
  mail: {
    fontFamily: appFonts.regular,
  },
  payBtn: {
    alignItems: 'center',
    justifyContent: 'center',
    width: windowWidth(9),
    borderRadius: windowHeight(7.6),
    marginHorizontal: windowWidth(6),
    height: windowHeight(35),
    right: windowHeight(17),
  },
  gap: {
    gap: windowHeight(13),
  },
  round: {
    height: windowHeight(3),
    width: windowHeight(3),
    alignItems: 'center',
    justifyContent: 'center',
    borderRadius: windowHeight(3),
    backgroundColor: appColors.dotDark,
  },
})
export default styles
